sdlmame compatibility. Help!

Discussion in 'Wii - Emulation and Homebrew' started by Dogway, Jul 9, 2011.

  1. Dogway
    OP

    Dogway GBAtemp Regular

    Member
    216
    10
    Aug 16, 2010
    sdlmame is based off 0.134u4 version of mame. Thus the roms need to be in 0.134u4 set to work. To convert roms to different sets I use clrmamepro, but you need a mame version you want your roms set to be changed to. But I couldn't find any downloadable version of mame or its variants of 0.134u4, the only one I found is the source of sdlmame0.134u4.zip. I would like if someone can point me to a build of 0.134u4 of mame or if s/he can compile this source for me.

    PS: Im trying to make work b.rap boys, rastan saga 2, and golden axe 2, and big karnak.

    Thank you
     
  2. Comrade Cough

    Comrade Cough Advanced Member

    Newcomer
    64
    0
    Apr 3, 2010
    United States
    Fu Manchu's Secret Evil Lair
    Good luck, I haven't been able to find a good 134u4 dat for clrmame, and I spent a few days last week searching around.

    You're best bet would be to download a 134u4 MAME romset.
     
  3. Dogway
    OP

    Dogway GBAtemp Regular

    Member
    216
    10
    Aug 16, 2010
    Do you mean that I could not use the compiled binary of my posted sdlmame 134u4 source (the original not the wii version) for using it in clrmame?
    For mame plus I normally use the exe file, and that's enough for changing rom sets.
    I hope one cool guy can come around and compile this little thing, so other people can use it for their roms too.
     
  4. scorned4sega

    scorned4sega Member

    Newcomer
    11
    0
    Jan 30, 2010
    United States
    anniston, al
    Here's a link to the MAME 134u4 dat file: http://www.emulab.it/rommanager/index.php?s=80&np=12 (scroll down to the bottom of the page).
     
  5. bm123456

    bm123456 GBAtemp Advanced Fan

    Member
    572
    74
    Jun 7, 2011
    United States
    Houston
    Nice find , thanks for sharing
     
  6. XICO2KX

    XICO2KX GBAtemp Regular

    Member
    148
    23
    Jul 1, 2007
    For anyone still having problems with ROMs on SDL MAME Wii, here are some useful links! ;)

    You need ROMs that are compatible with MAME version 0.134u4.
    You can download other versions of the ROMs, and then convert them using CLRMame Pro, the MAME 0.134u4 DAT file, and then follow the instructions from here, quoting:
    The supported list of ROMs (compiled by ToadKing, the author of the emulator) can be found here.
    But from those, only the ones with size less than around 20MB will load correctly.
    A more exhaustive compatibility list can be found here.
    Good luck and happy arcade playing sessions! :yaywii:
     
  7. Buttersoft.

    Buttersoft. Member

    Newcomer
    11
    1
    Sep 23, 2014
    I'm having real trouble with this process. I cannot find any romset and matching rollback set. They do have to match, don't they? As in, 0.145 roms needs the 0.145 rollback set, yes? How far back can that set roll, and depending on what? The .dat file?

    Will those instructions linked to in the post above work for another romset and rollback set? Any suggestions about obtaining any matching set?

    I just want to get Final Fight and a few other games working on the Wii and i'm buggered if I can figure out how :( I'm using the 1.0 build of MAME.

    Any help would be greatly appreciated!
     
  8. nakata6790

    nakata6790 True Player

    Member
    886
    317
    Sep 17, 2009
    Greece
    Do yourself a favour and try retroarch emulator on Wii.
    Mame SDL Wii was superseded by RA.

    Search the Wii emu section for info and a guide to set it up.